package com.yd.dal.service.marketing;

import com.yd.dal.entity.marketing.MktLeadsGoals;
import org.springframework.stereotype.Service;

import java.util.List;
@Service("mktLeadsGoalsDALService")
public interface MktLeadsGoalsDALService {
    void saveMktLeadsGoals(MktLeadsGoals mktLeadsGoals);

    void updateIsActiveIsNull(Long practitionerId, Integer year,Integer goalsType);

    List<MktLeadsGoals> findByMktLeadsGoals(MktLeadsGoals mktLeadsGoals);

    List<MktLeadsGoals> selectByPractitionerIds(List<Long> practitionerIds, int year);

    List<MktLeadsGoals> findByTypeAndTimeUnitAndSubordinateSystemId(Integer goalsType, Integer statisticTimeUnit, Long subordinateSystemId);

    List<MktLeadsGoals> findByTypeAndTimeUnitAndPractitionerId(Integer goalsType, Integer statisticTimeUnit, Long practitionerId);
}
